### Method

# Camel ObjectBag get

#### Declaration [src]

    gpointer
    camel_object_bag_get (
      CamelObjectBag* bag,
      gconstpointer key
    )

#### Description [src]

Lookup an object by `key`. If the key is currently reserved, the function will block until another thread commits or aborts the reservation. The caller owns the reference to the returned object. Use g_object_unref () to unreference it.

#### Parameters

`key`

  Type: `gconstpointer`

  A key.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gpointer`

The object corresponding to `key`, or `NULL` if not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.